public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/user/johnmh:master commit in: gui-wm/hyprland/
@ 2024-06-18  3:56 John Harris
  0 siblings, 0 replies; 6+ messages in thread
From: John Harris @ 2024-06-18  3:56 UTC (permalink / raw
  To: gentoo-commits

commit:     743ce4eda7b5960cbf42e049744ef24fd344f327
Author:     John M. Harris, Jr. <johnmh <AT> johnmh <DOT> me>
AuthorDate: Tue Jun 18 01:15:24 2024 +0000
Commit:     John Harris <johnmh <AT> openblox <DOT> org>
CommitDate: Tue Jun 18 01:15:24 2024 +0000
URL:        https://gitweb.gentoo.org/repo/user/johnmh.git/commit/?id=743ce4ed

gui-wm/hyprland: Add ebuild

Signed-off-by: John M. Harris, Jr. <johnmh <AT> johnmh.me>

 gui-wm/hyprland/Manifest             |   1 +
 gui-wm/hyprland/hyprland-9999.ebuild | 146 +++++++++++++++++++++++++++++++++++
 2 files changed, 147 insertions(+)

diff --git a/gui-wm/hyprland/Manifest b/gui-wm/hyprland/Manifest
new file mode 100644
index 0000000..6cfab40
--- /dev/null
+++ b/gui-wm/hyprland/Manifest
@@ -0,0 +1 @@
+EBUILD hyprland-9999.ebuild 3910 BLAKE2B e9f850cb4227f13c2b013a3d99ad3b1ca22f10fd7c0c26f2a5f108e970d768f6f3d81a96aa0858a50992994594c0625877ee460cd4e542b142c7959e654a9c58 SHA512 963e96e961c3feb259dd47d41c61bc1cbb8c971fb05d49c8babc5c795b2b2b963a56fb2d644e3ede75663119835002bb89dc19185ec3d05f4ebb7ebf5cce5a35

diff --git a/gui-wm/hyprland/hyprland-9999.ebuild b/gui-wm/hyprland/hyprland-9999.ebuild
new file mode 100644
index 0000000..d1ba88c
--- /dev/null
+++ b/gui-wm/hyprland/hyprland-9999.ebuild
@@ -0,0 +1,146 @@
+# Copyright 2023-2024 Gentoo Authors
+# Copyright 2024 John M. Harris, Jr.
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit meson toolchain-funcs
+
+DESCRIPTION="A dynamic tiling Wayland compositor that doesn't sacrifice on its looks"
+HOMEPAGE="https://github.com/hyprwm/Hyprland"
+
+if [[ "${PV}" = *9999 ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/hyprwm/${PN^}.git"
+else
+	SRC_URI="https://github.com/hyprwm/${PN^}/releases/download/v${PV}/source-v${PV}.tar.gz -> ${P}.gh.tar.gz"
+	S="${WORKDIR}/${PN}-source"
+
+	KEYWORDS="~amd64"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="X legacy-renderer systemd"
+
+# hyprpm (hyprland plugin manager) requires the dependencies at runtime
+# so that it can clone, compile and install plugins.
+HYPRPM_RDEPEND="
+	app-alternatives/ninja
+	dev-build/cmake
+	dev-build/meson
+	dev-libs/libliftoff
+	dev-vcs/git
+	virtual/pkgconfig
+"
+# bundled wlroots has the following dependency string according to included headers.
+# wlroots[drm,gles2-renderer,libinput,x11-backend?,X?]
+# enable x11-backend with X and vice versa
+WLROOTS_DEPEND="
+	>=dev-libs/wayland-1.22
+	media-libs/libglvnd
+	|| (
+		>=media-libs/mesa-24.1.0_rc1[opengl]
+		<media-libs/mesa-24.1.0_rc1[egl(+),gles2]
+	)
+	>=x11-libs/libdrm-2.4.114
+	x11-libs/libxkbcommon
+	>=x11-libs/pixman-0.42.0
+	media-libs/libdisplay-info
+	sys-apps/hwdata
+	>=dev-libs/libinput-1.14.0:=
+	sys-auth/seatd:=
+	virtual/libudev:=
+	X? (
+		x11-libs/libxcb:=
+		x11-libs/xcb-util-errors
+		x11-libs/xcb-util-renderutil
+		x11-libs/xcb-util-wm
+		x11-base/xwayland
+	)
+"
+WLROOTS_RDEPEND="
+	${WLROOTS_DEPEND}
+"
+WLROOTS_BDEPEND="
+	>=dev-libs/wayland-protocols-1.32
+	dev-util/hyprwayland-scanner
+	virtual/pkgconfig
+"
+RDEPEND="
+	${HYPRPM_RDEPEND}
+	${WLROOTS_RDEPEND}
+	dev-cpp/tomlplusplus
+	dev-libs/glib:2
+	dev-libs/libinput
+	>=dev-libs/wayland-1.20.0
+	>=gui-libs/hyprcursor-0.1.7
+	media-libs/libglvnd
+	x11-libs/cairo
+	x11-libs/libdrm
+	x11-libs/libxkbcommon
+	x11-libs/pango
+	x11-libs/pixman
+	X? (
+		x11-libs/libxcb:0=
+	)
+"
+DEPEND="
+	${RDEPEND}
+	${WLROOTS_DEPEND}
+	>=dev-libs/hyprland-protocols-0.2
+	>=dev-libs/hyprlang-0.3.2
+	>=dev-libs/wayland-protocols-1.34
+"
+BDEPEND="
+	${WLROOTS_BDEPEND}
+	|| ( >=sys-devel/gcc-13:* >=sys-devel/clang-16:* )
+	app-misc/jq
+	dev-build/cmake
+	dev-util/hyprwayland-scanner
+	gui-libs/hyprutils
+	virtual/pkgconfig
+"
+
+pkg_setup() {
+	[[ ${MERGE_TYPE} == binary ]] && return
+
+	if tc-is-gcc && ver_test $(gcc-version) -lt 13 ; then
+		eerror "Hyprland requires >=sys-devel/gcc-13 to build"
+		eerror "Please upgrade GCC: emerge -v1 sys-devel/gcc"
+		die "GCC version is too old to compile Hyprland!"
+	elif tc-is-clang && ver_test $(clang-version) -lt 16 ; then
+		eerror "Hyprland requires >=sys-devel/clang-16 to build"
+		eerror "Please upgrade Clang: emerge -v1 sys-devel/clang"
+		die "Clang version is too old to compile Hyprland!"
+	fi
+}
+
+src_configure() {
+	local emesonargs=(
+		$(meson_feature legacy-renderer legacy_renderer)
+		$(meson_feature systemd)
+		$(meson_feature X xwayland)
+		$(meson_feature X wlroots:xwayland)
+		-Dwlroots:backends=drm,libinput$(usev X ',x11')
+		-Dwlroots:xcb-errors=disabled
+	)
+
+	meson_src_configure
+}
+
+src_install() {
+	# First install everything except wlroots to avoid conflicts.
+	meson_src_install --skip-subprojects wlroots
+	# Then install development files (mainly wlroots) for bug #916760.
+	meson_src_install --tags devel
+
+	# Wlroots headers are required by hyprland-plugins and the pkgconfig file expects
+	# them to be in /usr/include/hyprland/wlroots, despite this they aren't installed there.
+	# Ideally you could override includedir per subproject and the install tags would
+	# be granular enough to only install headers. But its not requiring this.
+	mkdir "${ED}"/usr/include/hyprland/wlroots || die
+	mv "${ED}"/usr/include/wlr "${ED}"/usr/include/hyprland/wlroots || die
+	# devel tag includes wlroots .pc and .a files still
+	rm -rf "${ED}"/usr/$(get_libdir)/ || die
+}


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/user/johnmh:master commit in: gui-wm/hyprland/
@ 2024-06-18  5:35 John Harris
  0 siblings, 0 replies; 6+ messages in thread
From: John Harris @ 2024-06-18  5:35 UTC (permalink / raw
  To: gentoo-commits

commit:     158a01194c11345f28af1785e13d260fbc357e93
Author:     John M. Harris, Jr. <johnmh <AT> johnmh <DOT> me>
AuthorDate: Tue Jun 18 04:55:39 2024 +0000
Commit:     John Harris <johnmh <AT> openblox <DOT> org>
CommitDate: Tue Jun 18 04:55:39 2024 +0000
URL:        https://gitweb.gentoo.org/repo/user/johnmh.git/commit/?id=158a0119

gui-wm/hyprland: Fix wlroots headers

Hyprland now uses /usr/include/hyprland/wlroots/ on its own.

Signed-off-by: John M. Harris, Jr. <johnmh <AT> johnmh.me>

 gui-wm/hyprland/Manifest             | 2 +-
 gui-wm/hyprland/hyprland-9999.ebuild | 9 ---------
 2 files changed, 1 insertion(+), 10 deletions(-)

diff --git a/gui-wm/hyprland/Manifest b/gui-wm/hyprland/Manifest
index 6cfab40..80c37bb 100644
--- a/gui-wm/hyprland/Manifest
+++ b/gui-wm/hyprland/Manifest
@@ -1 +1 @@
-EBUILD hyprland-9999.ebuild 3910 BLAKE2B e9f850cb4227f13c2b013a3d99ad3b1ca22f10fd7c0c26f2a5f108e970d768f6f3d81a96aa0858a50992994594c0625877ee460cd4e542b142c7959e654a9c58 SHA512 963e96e961c3feb259dd47d41c61bc1cbb8c971fb05d49c8babc5c795b2b2b963a56fb2d644e3ede75663119835002bb89dc19185ec3d05f4ebb7ebf5cce5a35
+EBUILD hyprland-9999.ebuild 3360 BLAKE2B 69e35af06ae66a7e44d6296a726e94e035382263616c9d95242228df9319d925977a20e1dae6122edd84b4343b6e553aa381a102ecc5de31269f79b9d13e7fea SHA512 cb34efe3c1bdfcd8693f89bbd29468a071e2393536bf9857ec46bc15d808b3756322646f792fc564297e317756c719e180656b50d3513dca11aeb302245b1fb2

diff --git a/gui-wm/hyprland/hyprland-9999.ebuild b/gui-wm/hyprland/hyprland-9999.ebuild
index d1ba88c..4c2186e 100644
--- a/gui-wm/hyprland/hyprland-9999.ebuild
+++ b/gui-wm/hyprland/hyprland-9999.ebuild
@@ -134,13 +134,4 @@ src_install() {
 	meson_src_install --skip-subprojects wlroots
 	# Then install development files (mainly wlroots) for bug #916760.
 	meson_src_install --tags devel
-
-	# Wlroots headers are required by hyprland-plugins and the pkgconfig file expects
-	# them to be in /usr/include/hyprland/wlroots, despite this they aren't installed there.
-	# Ideally you could override includedir per subproject and the install tags would
-	# be granular enough to only install headers. But its not requiring this.
-	mkdir "${ED}"/usr/include/hyprland/wlroots || die
-	mv "${ED}"/usr/include/wlr "${ED}"/usr/include/hyprland/wlroots || die
-	# devel tag includes wlroots .pc and .a files still
-	rm -rf "${ED}"/usr/$(get_libdir)/ || die
 }


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/user/johnmh:master commit in: gui-wm/hyprland/
@ 2024-07-01 23:10 John M. Harris, Jr.
  0 siblings, 0 replies; 6+ messages in thread
From: John M. Harris, Jr. @ 2024-07-01 23:10 UTC (permalink / raw
  To: gentoo-commits

commit:     2355b59e0711b8a11bafdaaf7da2977255f4dcd3
Author:     John M. Harris Jr. <johnmh <AT> johnmh <DOT> me>
AuthorDate: Mon Jul  1 23:10:12 2024 +0000
Commit:     John M. Harris, Jr. <johnmh <AT> johnmh <DOT> me>
CommitDate: Mon Jul  1 23:10:19 2024 +0000
URL:        https://gitweb.gentoo.org/repo/user/johnmh.git/commit/?id=2355b59e

gui-wm/hyprland: treeclean

Signed-off-by: John M. Harris Jr. <johnmh <AT> johnmh.me>

 gui-wm/hyprland/Manifest             |   1 -
 gui-wm/hyprland/hyprland-9999.ebuild | 137 -----------------------------------
 2 files changed, 138 deletions(-)

diff --git a/gui-wm/hyprland/Manifest b/gui-wm/hyprland/Manifest
deleted file mode 100644
index 80c37bb..0000000
--- a/gui-wm/hyprland/Manifest
+++ /dev/null
@@ -1 +0,0 @@
-EBUILD hyprland-9999.ebuild 3360 BLAKE2B 69e35af06ae66a7e44d6296a726e94e035382263616c9d95242228df9319d925977a20e1dae6122edd84b4343b6e553aa381a102ecc5de31269f79b9d13e7fea SHA512 cb34efe3c1bdfcd8693f89bbd29468a071e2393536bf9857ec46bc15d808b3756322646f792fc564297e317756c719e180656b50d3513dca11aeb302245b1fb2

diff --git a/gui-wm/hyprland/hyprland-9999.ebuild b/gui-wm/hyprland/hyprland-9999.ebuild
deleted file mode 100644
index 4c2186e..0000000
--- a/gui-wm/hyprland/hyprland-9999.ebuild
+++ /dev/null
@@ -1,137 +0,0 @@
-# Copyright 2023-2024 Gentoo Authors
-# Copyright 2024 John M. Harris, Jr.
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit meson toolchain-funcs
-
-DESCRIPTION="A dynamic tiling Wayland compositor that doesn't sacrifice on its looks"
-HOMEPAGE="https://github.com/hyprwm/Hyprland"
-
-if [[ "${PV}" = *9999 ]]; then
-	inherit git-r3
-	EGIT_REPO_URI="https://github.com/hyprwm/${PN^}.git"
-else
-	SRC_URI="https://github.com/hyprwm/${PN^}/releases/download/v${PV}/source-v${PV}.tar.gz -> ${P}.gh.tar.gz"
-	S="${WORKDIR}/${PN}-source"
-
-	KEYWORDS="~amd64"
-fi
-
-LICENSE="BSD"
-SLOT="0"
-IUSE="X legacy-renderer systemd"
-
-# hyprpm (hyprland plugin manager) requires the dependencies at runtime
-# so that it can clone, compile and install plugins.
-HYPRPM_RDEPEND="
-	app-alternatives/ninja
-	dev-build/cmake
-	dev-build/meson
-	dev-libs/libliftoff
-	dev-vcs/git
-	virtual/pkgconfig
-"
-# bundled wlroots has the following dependency string according to included headers.
-# wlroots[drm,gles2-renderer,libinput,x11-backend?,X?]
-# enable x11-backend with X and vice versa
-WLROOTS_DEPEND="
-	>=dev-libs/wayland-1.22
-	media-libs/libglvnd
-	|| (
-		>=media-libs/mesa-24.1.0_rc1[opengl]
-		<media-libs/mesa-24.1.0_rc1[egl(+),gles2]
-	)
-	>=x11-libs/libdrm-2.4.114
-	x11-libs/libxkbcommon
-	>=x11-libs/pixman-0.42.0
-	media-libs/libdisplay-info
-	sys-apps/hwdata
-	>=dev-libs/libinput-1.14.0:=
-	sys-auth/seatd:=
-	virtual/libudev:=
-	X? (
-		x11-libs/libxcb:=
-		x11-libs/xcb-util-errors
-		x11-libs/xcb-util-renderutil
-		x11-libs/xcb-util-wm
-		x11-base/xwayland
-	)
-"
-WLROOTS_RDEPEND="
-	${WLROOTS_DEPEND}
-"
-WLROOTS_BDEPEND="
-	>=dev-libs/wayland-protocols-1.32
-	dev-util/hyprwayland-scanner
-	virtual/pkgconfig
-"
-RDEPEND="
-	${HYPRPM_RDEPEND}
-	${WLROOTS_RDEPEND}
-	dev-cpp/tomlplusplus
-	dev-libs/glib:2
-	dev-libs/libinput
-	>=dev-libs/wayland-1.20.0
-	>=gui-libs/hyprcursor-0.1.7
-	media-libs/libglvnd
-	x11-libs/cairo
-	x11-libs/libdrm
-	x11-libs/libxkbcommon
-	x11-libs/pango
-	x11-libs/pixman
-	X? (
-		x11-libs/libxcb:0=
-	)
-"
-DEPEND="
-	${RDEPEND}
-	${WLROOTS_DEPEND}
-	>=dev-libs/hyprland-protocols-0.2
-	>=dev-libs/hyprlang-0.3.2
-	>=dev-libs/wayland-protocols-1.34
-"
-BDEPEND="
-	${WLROOTS_BDEPEND}
-	|| ( >=sys-devel/gcc-13:* >=sys-devel/clang-16:* )
-	app-misc/jq
-	dev-build/cmake
-	dev-util/hyprwayland-scanner
-	gui-libs/hyprutils
-	virtual/pkgconfig
-"
-
-pkg_setup() {
-	[[ ${MERGE_TYPE} == binary ]] && return
-
-	if tc-is-gcc && ver_test $(gcc-version) -lt 13 ; then
-		eerror "Hyprland requires >=sys-devel/gcc-13 to build"
-		eerror "Please upgrade GCC: emerge -v1 sys-devel/gcc"
-		die "GCC version is too old to compile Hyprland!"
-	elif tc-is-clang && ver_test $(clang-version) -lt 16 ; then
-		eerror "Hyprland requires >=sys-devel/clang-16 to build"
-		eerror "Please upgrade Clang: emerge -v1 sys-devel/clang"
-		die "Clang version is too old to compile Hyprland!"
-	fi
-}
-
-src_configure() {
-	local emesonargs=(
-		$(meson_feature legacy-renderer legacy_renderer)
-		$(meson_feature systemd)
-		$(meson_feature X xwayland)
-		$(meson_feature X wlroots:xwayland)
-		-Dwlroots:backends=drm,libinput$(usev X ',x11')
-		-Dwlroots:xcb-errors=disabled
-	)
-
-	meson_src_configure
-}
-
-src_install() {
-	# First install everything except wlroots to avoid conflicts.
-	meson_src_install --skip-subprojects wlroots
-	# Then install development files (mainly wlroots) for bug #916760.
-	meson_src_install --tags devel
-}


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/user/johnmh:master commit in: gui-wm/hyprland/
@ 2024-07-02  3:19 John M. Harris, Jr.
  0 siblings, 0 replies; 6+ messages in thread
From: John M. Harris, Jr. @ 2024-07-02  3:19 UTC (permalink / raw
  To: gentoo-commits

commit:     e3580ece86547a70890d7cabf88e1a4ce19dcb54
Author:     John M. Harris Jr. <johnmh <AT> johnmh <DOT> me>
AuthorDate: Tue Jul  2 03:09:21 2024 +0000
Commit:     John M. Harris, Jr. <johnmh <AT> johnmh <DOT> me>
CommitDate: Tue Jul  2 03:15:54 2024 +0000
URL:        https://gitweb.gentoo.org/repo/user/johnmh.git/commit/?id=e3580ece

gui-wm/hyprland: sync live, remove broken wlr patch

This reverts commit 2355b59e0711b8a11bafdaaf7da2977255f4dcd3.

The live package in the gentoo repo has a broken wlroots patch,
which this removes.

Signed-off-by: John M. Harris Jr. <johnmh <AT> johnmh.me>

 gui-wm/hyprland/Manifest             |   1 +
 gui-wm/hyprland/hyprland-9999.ebuild | 138 +++++++++++++++++++++++++++++++++++
 2 files changed, 139 insertions(+)

diff --git a/gui-wm/hyprland/Manifest b/gui-wm/hyprland/Manifest
new file mode 100644
index 0000000..7e99200
--- /dev/null
+++ b/gui-wm/hyprland/Manifest
@@ -0,0 +1 @@
+EBUILD hyprland-9999.ebuild 3401 BLAKE2B 8505d05c3d696a82ddb69c95318020da84b1803297751b83b0c6011af8f2d2e73d9d3d03144276d4ff9b8302550f7baa606fdfb900318d8f1ac2043b306190c2 SHA512 a366fc39418fc08c96d4b4bc29be2443ab6dcf54a26a1ea5f0deb238aa33e422c1919f4767d9e9d28916afd4ddfe1de44ce24f0b7ee9184d98e7baab89cc1041

diff --git a/gui-wm/hyprland/hyprland-9999.ebuild b/gui-wm/hyprland/hyprland-9999.ebuild
new file mode 100644
index 0000000..c513e77
--- /dev/null
+++ b/gui-wm/hyprland/hyprland-9999.ebuild
@@ -0,0 +1,138 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit meson toolchain-funcs
+
+DESCRIPTION="A dynamic tiling Wayland compositor that doesn't sacrifice on its looks"
+HOMEPAGE="https://github.com/hyprwm/Hyprland"
+
+if [[ "${PV}" = *9999 ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/hyprwm/${PN^}.git"
+else
+	SRC_URI="https://github.com/hyprwm/${PN^}/releases/download/v${PV}/source-v${PV}.tar.gz -> ${P}.gh.tar.gz"
+	S="${WORKDIR}/${PN}-source"
+
+	KEYWORDS="~amd64"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="X legacy-renderer systemd"
+
+# hyprpm (hyprland plugin manager) requires the dependencies at runtime
+# so that it can clone, compile and install plugins.
+HYPRPM_RDEPEND="
+	app-alternatives/ninja
+	dev-build/cmake
+	dev-build/meson
+	dev-libs/libliftoff
+	dev-vcs/git
+	virtual/pkgconfig
+"
+# bundled wlroots has the following dependency string according to included headers.
+# wlroots[drm,gles2-renderer,libinput,x11-backend?,X?]
+# enable x11-backend with X and vice versa
+WLROOTS_DEPEND="
+	>=dev-libs/wayland-1.22
+	media-libs/libglvnd
+	|| (
+		>=media-libs/mesa-24.1.0_rc1[opengl]
+		<media-libs/mesa-24.1.0_rc1[egl(+),gles2]
+	)
+	>=x11-libs/libdrm-2.4.114
+	x11-libs/libxkbcommon
+	>=x11-libs/pixman-0.42.0
+	media-libs/libdisplay-info:=
+	sys-apps/hwdata
+	>=dev-libs/libinput-1.14.0:=
+	sys-auth/seatd:=
+	virtual/libudev:=
+	X? (
+		x11-libs/libxcb:=
+		x11-libs/xcb-util-errors
+		x11-libs/xcb-util-renderutil
+		x11-libs/xcb-util-wm
+		x11-base/xwayland
+	)
+"
+WLROOTS_RDEPEND="
+	${WLROOTS_DEPEND}
+"
+WLROOTS_BDEPEND="
+	>=dev-libs/wayland-protocols-1.32
+	dev-util/hyprwayland-scanner
+	virtual/pkgconfig
+"
+RDEPEND="
+	${HYPRPM_RDEPEND}
+	${WLROOTS_RDEPEND}
+	dev-cpp/tomlplusplus
+	dev-libs/glib:2
+	dev-libs/libinput
+	>=dev-libs/wayland-1.20.0
+	>=gui-libs/hyprcursor-0.1.7
+	media-libs/libglvnd
+	x11-libs/cairo
+	x11-libs/libdrm
+	x11-libs/libxkbcommon
+	x11-libs/pango
+	x11-libs/pixman
+	X? (
+		x11-libs/libxcb:0=
+	)
+"
+DEPEND="
+	${RDEPEND}
+	${WLROOTS_DEPEND}
+	>=dev-libs/hyprland-protocols-0.2
+	>=dev-libs/hyprlang-0.3.2
+	>=dev-libs/wayland-protocols-1.34
+"
+BDEPEND="
+	${WLROOTS_BDEPEND}
+	|| ( >=sys-devel/gcc-13:* >=sys-devel/clang-16:* )
+	app-misc/jq
+	dev-build/cmake
+	dev-util/hyprwayland-scanner
+	virtual/pkgconfig
+"
+
+pkg_setup() {
+	[[ ${MERGE_TYPE} == binary ]] && return
+
+	if tc-is-gcc && ver_test $(gcc-version) -lt 13 ; then
+		eerror "Hyprland requires >=sys-devel/gcc-13 to build"
+		eerror "Please upgrade GCC: emerge -v1 sys-devel/gcc"
+		die "GCC version is too old to compile Hyprland!"
+	elif tc-is-clang && ver_test $(clang-version) -lt 16 ; then
+		eerror "Hyprland requires >=sys-devel/clang-16 to build"
+		eerror "Please upgrade Clang: emerge -v1 sys-devel/clang"
+		die "Clang version is too old to compile Hyprland!"
+	fi
+}
+
+src_configure() {
+	local emesonargs=(
+		$(meson_feature legacy-renderer legacy_renderer)
+		$(meson_feature systemd)
+		$(meson_feature X xwayland)
+		$(meson_feature X wlroots:xwayland)
+		-Dwlroots:backends=drm,libinput$(usev X ',x11')
+		-Dwlroots:xcb-errors=disabled
+	)
+
+	meson_src_configure
+}
+
+src_install() {
+	# First install everything except wlroots to avoid conflicts.
+	meson_src_install --skip-subprojects wlroots
+	# Then install development files (mainly wlroots) for bug #916760.
+	meson_src_install --tags devel
+
+	# devel tag includes wlroots .pc and .a files still
+	rm -rf "${ED}"/usr/$(get_libdir)/ || die
+}


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/user/johnmh:master commit in: gui-wm/hyprland/
@ 2024-07-26 20:37 John M. Harris, Jr.
  0 siblings, 0 replies; 6+ messages in thread
From: John M. Harris, Jr. @ 2024-07-26 20:37 UTC (permalink / raw
  To: gentoo-commits

commit:     199652234d42614f7a6f6b25759224470064dccc
Author:     John M. Harris Jr. <johnmh <AT> johnmh <DOT> me>
AuthorDate: Fri Jul 26 20:36:59 2024 +0000
Commit:     John M. Harris, Jr. <johnmh <AT> johnmh <DOT> me>
CommitDate: Fri Jul 26 20:36:59 2024 +0000
URL:        https://gitweb.gentoo.org/repo/user/johnmh.git/commit/?id=19965223

gui-wm/hyprland: treeclean

Signed-off-by: John M. Harris Jr. <johnmh <AT> johnmh.me>

 gui-wm/hyprland/Manifest             |  1 -
 gui-wm/hyprland/hyprland-9999.ebuild | 94 ------------------------------------
 2 files changed, 95 deletions(-)

diff --git a/gui-wm/hyprland/Manifest b/gui-wm/hyprland/Manifest
deleted file mode 100644
index 7e99200..0000000
--- a/gui-wm/hyprland/Manifest
+++ /dev/null
@@ -1 +0,0 @@
-EBUILD hyprland-9999.ebuild 3401 BLAKE2B 8505d05c3d696a82ddb69c95318020da84b1803297751b83b0c6011af8f2d2e73d9d3d03144276d4ff9b8302550f7baa606fdfb900318d8f1ac2043b306190c2 SHA512 a366fc39418fc08c96d4b4bc29be2443ab6dcf54a26a1ea5f0deb238aa33e422c1919f4767d9e9d28916afd4ddfe1de44ce24f0b7ee9184d98e7baab89cc1041

diff --git a/gui-wm/hyprland/hyprland-9999.ebuild b/gui-wm/hyprland/hyprland-9999.ebuild
deleted file mode 100644
index 8202372..0000000
--- a/gui-wm/hyprland/hyprland-9999.ebuild
+++ /dev/null
@@ -1,94 +0,0 @@
-# Copyright 2023-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit meson toolchain-funcs
-
-DESCRIPTION="A dynamic tiling Wayland compositor that doesn't sacrifice on its looks"
-HOMEPAGE="https://github.com/hyprwm/Hyprland"
-
-if [[ "${PV}" = *9999 ]]; then
-	inherit git-r3
-	EGIT_REPO_URI="https://github.com/hyprwm/${PN^}.git"
-else
-	SRC_URI="https://github.com/hyprwm/${PN^}/releases/download/v${PV}/source-v${PV}.tar.gz -> ${P}.gh.tar.gz"
-	S="${WORKDIR}/${PN}-source"
-
-	KEYWORDS="~amd64"
-fi
-
-LICENSE="BSD"
-SLOT="0"
-IUSE="X legacy-renderer systemd"
-
-# hyprpm (hyprland plugin manager) requires the dependencies at runtime
-# so that it can clone, compile and install plugins.
-HYPRPM_RDEPEND="
-	app-alternatives/ninja
-	dev-build/cmake
-	dev-build/meson
-	dev-libs/libliftoff
-	dev-vcs/git
-	virtual/pkgconfig
-"
-RDEPEND="
-	${HYPRPM_RDEPEND}
-	dev-cpp/tomlplusplus
-	dev-libs/glib:2
-	dev-libs/libinput
-	>=dev-libs/wayland-1.20.0
-	gui-libs/aquamarine
-	>=gui-libs/hyprcursor-0.1.9
-	media-libs/libglvnd
-	x11-libs/cairo
-	x11-libs/libdrm
-	x11-libs/libxkbcommon
-	x11-libs/pango
-	x11-libs/pixman
-	X? (
-		x11-libs/libxcb:0=
-	)
-"
-DEPEND="
-	${RDEPEND}
-	${WLROOTS_DEPEND}
-	>=dev-libs/hyprland-protocols-0.3
-	>=dev-libs/hyprlang-0.3.2
-	>=dev-libs/wayland-protocols-1.36
-	>=gui-libs/hyprutils-0.2.0
-"
-BDEPEND="
-	${WLROOTS_BDEPEND}
-	|| ( >=sys-devel/gcc-13:* >=sys-devel/clang-16:* )
-	app-misc/jq
-	dev-build/cmake
-	>=dev-util/hyprwayland-scanner-0.3.8
-	virtual/pkgconfig
-"
-
-pkg_setup() {
-	[[ ${MERGE_TYPE} == binary ]] && return
-
-	if tc-is-gcc && ver_test $(gcc-version) -lt 13 ; then
-		eerror "Hyprland requires >=sys-devel/gcc-13 to build"
-		eerror "Please upgrade GCC: emerge -v1 sys-devel/gcc"
-		die "GCC version is too old to compile Hyprland!"
-	elif tc-is-clang && ver_test $(clang-version) -lt 16 ; then
-		eerror "Hyprland requires >=sys-devel/clang-16 to build"
-		eerror "Please upgrade Clang: emerge -v1 sys-devel/clang"
-		die "Clang version is too old to compile Hyprland!"
-	fi
-}
-
-src_configure() {
-	local emesonargs=(
-		$(meson_feature legacy-renderer legacy_renderer)
-		$(meson_feature systemd)
-		$(meson_feature X xwayland)
-		-Dwlroots:backends=drm,libinput$(usev X ',x11')
-		-Dwlroots:xcb-errors=disabled
-	)
-
-	meson_src_configure
-}


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/user/johnmh:master commit in: gui-wm/hyprland/
@ 2024-07-26 20:37 John M. Harris, Jr.
  0 siblings, 0 replies; 6+ messages in thread
From: John M. Harris, Jr. @ 2024-07-26 20:37 UTC (permalink / raw
  To: gentoo-commits

commit:     112313ee06dd1a292744440cdc9413206a1bff09
Author:     John M. Harris Jr. <johnmh <AT> johnmh <DOT> me>
AuthorDate: Mon Jul 22 19:05:09 2024 +0000
Commit:     John M. Harris, Jr. <johnmh <AT> johnmh <DOT> me>
CommitDate: Fri Jul 26 20:36:03 2024 +0000
URL:        https://gitweb.gentoo.org/repo/user/johnmh.git/commit/?id=112313ee

gui-wm/hyprland: Update dependencies

Signed-off-by: John M. Harris Jr. <johnmh <AT> johnmh.me>

 gui-wm/hyprland/hyprland-9999.ebuild | 56 ++++--------------------------------
 1 file changed, 6 insertions(+), 50 deletions(-)

diff --git a/gui-wm/hyprland/hyprland-9999.ebuild b/gui-wm/hyprland/hyprland-9999.ebuild
index c513e77..8202372 100644
--- a/gui-wm/hyprland/hyprland-9999.ebuild
+++ b/gui-wm/hyprland/hyprland-9999.ebuild
@@ -32,48 +32,14 @@ HYPRPM_RDEPEND="
 	dev-vcs/git
 	virtual/pkgconfig
 "
-# bundled wlroots has the following dependency string according to included headers.
-# wlroots[drm,gles2-renderer,libinput,x11-backend?,X?]
-# enable x11-backend with X and vice versa
-WLROOTS_DEPEND="
-	>=dev-libs/wayland-1.22
-	media-libs/libglvnd
-	|| (
-		>=media-libs/mesa-24.1.0_rc1[opengl]
-		<media-libs/mesa-24.1.0_rc1[egl(+),gles2]
-	)
-	>=x11-libs/libdrm-2.4.114
-	x11-libs/libxkbcommon
-	>=x11-libs/pixman-0.42.0
-	media-libs/libdisplay-info:=
-	sys-apps/hwdata
-	>=dev-libs/libinput-1.14.0:=
-	sys-auth/seatd:=
-	virtual/libudev:=
-	X? (
-		x11-libs/libxcb:=
-		x11-libs/xcb-util-errors
-		x11-libs/xcb-util-renderutil
-		x11-libs/xcb-util-wm
-		x11-base/xwayland
-	)
-"
-WLROOTS_RDEPEND="
-	${WLROOTS_DEPEND}
-"
-WLROOTS_BDEPEND="
-	>=dev-libs/wayland-protocols-1.32
-	dev-util/hyprwayland-scanner
-	virtual/pkgconfig
-"
 RDEPEND="
 	${HYPRPM_RDEPEND}
-	${WLROOTS_RDEPEND}
 	dev-cpp/tomlplusplus
 	dev-libs/glib:2
 	dev-libs/libinput
 	>=dev-libs/wayland-1.20.0
-	>=gui-libs/hyprcursor-0.1.7
+	gui-libs/aquamarine
+	>=gui-libs/hyprcursor-0.1.9
 	media-libs/libglvnd
 	x11-libs/cairo
 	x11-libs/libdrm
@@ -87,16 +53,17 @@ RDEPEND="
 DEPEND="
 	${RDEPEND}
 	${WLROOTS_DEPEND}
-	>=dev-libs/hyprland-protocols-0.2
+	>=dev-libs/hyprland-protocols-0.3
 	>=dev-libs/hyprlang-0.3.2
-	>=dev-libs/wayland-protocols-1.34
+	>=dev-libs/wayland-protocols-1.36
+	>=gui-libs/hyprutils-0.2.0
 "
 BDEPEND="
 	${WLROOTS_BDEPEND}
 	|| ( >=sys-devel/gcc-13:* >=sys-devel/clang-16:* )
 	app-misc/jq
 	dev-build/cmake
-	dev-util/hyprwayland-scanner
+	>=dev-util/hyprwayland-scanner-0.3.8
 	virtual/pkgconfig
 "
 
@@ -119,20 +86,9 @@ src_configure() {
 		$(meson_feature legacy-renderer legacy_renderer)
 		$(meson_feature systemd)
 		$(meson_feature X xwayland)
-		$(meson_feature X wlroots:xwayland)
 		-Dwlroots:backends=drm,libinput$(usev X ',x11')
 		-Dwlroots:xcb-errors=disabled
 	)
 
 	meson_src_configure
 }
-
-src_install() {
-	# First install everything except wlroots to avoid conflicts.
-	meson_src_install --skip-subprojects wlroots
-	# Then install development files (mainly wlroots) for bug #916760.
-	meson_src_install --tags devel
-
-	# devel tag includes wlroots .pc and .a files still
-	rm -rf "${ED}"/usr/$(get_libdir)/ || die
-}


^ permalink raw reply related	[flat|nested] 6+ messages in thread

end of thread, other threads:[~2024-07-26 20:37 UTC | newest]

Thread overview: 6+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2024-06-18  3:56 [gentoo-commits] repo/user/johnmh:master commit in: gui-wm/hyprland/ John Harris
  -- strict thread matches above, loose matches on Subject: below --
2024-06-18  5:35 John Harris
2024-07-01 23:10 John M. Harris, Jr.
2024-07-02  3:19 John M. Harris, Jr.
2024-07-26 20:37 John M. Harris, Jr.
2024-07-26 20:37 John M. Harris, Jr.

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox